﻿using System;
using System.Collections.Generic;
using System.Diagnostics.SymbolStore;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PripremaNoviZad
{
    internal class Program
    {
        static void Main(string[] args)
        {
            try
            {
                BookManager bookManager = new BookManager();
                bookManager.OnBookReturn += BookManager_OnBookReturn;
                IDictionary<string, Book> books = bookManager.Books;
                books.Values.ToList().ForEach(book =>
                {
                    Console.WriteLine(book.ToString());
                });
                Book b1 = new Book
                {
                    ISBN = "123-4213",
                    Naslov = "Beleee Droogaš",
                    Autor = "Vajt",
                    IdPosuditelja = 14,
                    Vraceno = true
                };
                bookManager.AddBook(b1);
                bookManager.CheckBooks();
            }
            catch (Exception ex) {
                Console.WriteLine(ex.Message);
            }
        }

        private static void BookManager_OnBookReturn(object sender, OnBookReturnArgs args)
        {
            Console.WriteLine(args.Returned);
        }
    }
}
